diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index d4e6be6..41a05a1 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -1,5 +1,5 @@
 import React, { Component } from "react"
-import { CollapsableBadge } from "./components"
+import { CollapsableBadge, CollapsableCard, ModalBadge } from "./components"
 
 export default class FedoraEasyKarmaItemsList extends Component {
   render() {
@@ -7,130 +7,131 @@ export default class FedoraEasyKarmaItemsList extends Component {
     else
       return (
         <div>
-          <h1>What is Karma</h1>
-          Before a new version of a package is pushed to the Fedora&apos;s Updates repository, it
-          needs to be tested and proved functional.{" "}
-          <CollapsableBadge expand_text="Tell me more about the process!">
-            The updates are kept in{" "}
-            <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
-              Bodhi
-            </a>
-            , which acts as a gatekeeper between new package releases and the stable repositories.{" "}
-            Users (or automated systems) can then provide feedback in form of positive/negative
-            Karma, marking the update as working (or not) within the scope of their expectations.{" "}
-            An update can (and usually does) consist of several packages (rpms), that are going
-            through the acceptance process together.
-          </CollapsableBadge>
-          <h1 style={{ marginTop: 1 + "em" }}>Sure, let me do it!</h1>
-          <ol className="steps">
-            <li>
-              Fedora Accounts System (FAS) account is required.{" "}
-              <CollapsableBadge expand_text="Don&#39;t have one yet?">
-                <ul>
-                  <li>
-                    Visit{" "}
-                    <a
-                      target="_blank"
-                      rel="noopener noreferrer"
-                      href="https://admin.fedoraproject.org/accounts/user/new">
-                      FAS Sign-up page
-                    </a>{" "}
-                    and create it.
-                  </li>
-                  <li>Note the username and password, you will need it later on.</li>
-                </ul>
-              </CollapsableBadge>
-            </li>
-            <li>
-              Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
-            </li>
-            <li>
-              Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
-            </li>
-            <li>
-              Choose an update to test{" "}
-              <CollapsableBadge expand_text="Not sure how?">
-                Have a look at the available packages in <code>updates-testing</code> repo, by
-                running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code> and
-                choose a package you know.
-              </CollapsableBadge>
-            </li>
-            <li>
-              Install the package{" "}
-              <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
-              whether it works, as you would expect.
-              <br />
-              <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
-              installed as dependencies (shown during the installation process). Try to test those
-              too, if possible.{" "}
-              <CollapsableBadge expand_text="Need some tips?">
-                Sometimes, the update associated with the package you just installed fixes some
-                specific bugs, or has testcases associated with it.
-                <br />
-                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
-                <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
-                the detailed output.{" "}
-                <CollapsableBadge expand_text="Want something a bit nicer?">
-                  We already mentioned Bodhi, several times. Instead of using the{" "}
-                  <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
-                  about the Update, you can visit Bodhi directly.
-                  <br />
-                  <code>fedora-easy-karma</code> shows the URL of the relevant update near the
-                  bottom of the text output - look for URL like{" "}
-                  <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
-                  <br />
-                  You can have a look at other people's comments, the afore-mentioned Bugs or Test
-                  Cases, and even submit the Karma directly. Just use your FAS credentials to
-                  log-in.
-                </CollapsableBadge>
-              </CollapsableBadge>
-            </li>
-            <li>
-              Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
-              found out.{" "}
-              <CollapsableBadge expand_text="New to fedora-easy-karma?">
-                It identifies the packages installed from the <code>updates-testing</code>{" "}
-                repository, and matches them to the updates in Bodhi.
-                <br />
-                You are then presented with the relevant updates one-by-one, to submit Karma and a
-                comment.{" "}
-                <CollapsableBadge expand_text="Not sure what Karma means?">
-                  <ol>
+          <CollapsableBadge expand_text="Karma">
+            ModalBadge Before a new version of a package is pushed to the Fedora&apos;s Updates
+            repository, it needs to be tested and proved functional.{" "}
+            <ModalBadge expand_text="Tell me more about the process!">
+              The updates are kept in{" "}
+              <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
+                Bodhi
+              </a>
+              , which acts as a gatekeeper between new package releases and the stable
+              repositories. Users (or automated systems) can then provide feedback in form of
+              positive/negative Karma, marking the update as working (or not) within the scope of
+              their expectations. An update can (and usually does) consist of several packages
+              (rpms), that are going through the acceptance process together.
+            </ModalBadge>
+            <h1 style={{ marginTop: 1 + "em" }}>Sure, let me do it!</h1>
+            <ol className="steps">
+              <li>
+                Fedora Accounts System (FAS) account is required.{" "}
+                <ModalBadge expand_text="Don&#39;t have one yet?">
+                  <ul>
                     <li>
-                      Enter <code>1</code> to mark positive karma (the update works just fine, as
-                      far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
-                      <br />
-                      Not sure you can judge the package's state? Have a look at the{" "}
+                      Visit{" "}
                       <a
                         target="_blank"
-                        href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
-                        rel="noopener noreferrer">
-                        Update Feedback Guidelines
-                      </a>
-                      <br />
-                      Still not sure? Just press <code>Enter</code> to skip it.
+                        rel="noopener noreferrer"
+                        href="https://admin.fedoraproject.org/accounts/user/new">
+                        FAS Sign-up page
+                      </a>{" "}
+                      and create it.
                     </li>
-                    <li>
-                      Add a comment - even if it works, try to describe what you tested. It can be
-                      as easy as{" "}
-                      <code>I tried openning and editing a document, and it worked.</code> when you
-                      test a text-editor, or{" "}
-                      <code>I opened a couple of tabs, and browsed random pages.</code> for a
-                      web-browser.
-                      <br />
-                      Absolutely make sure to provide reasonable amount of detail, when submitting
-                      negative karma - ideally, you should also create a bugreport, and reference
-                      it in the comment.
-                    </li>
-                  </ol>
-                </CollapsableBadge>
-              </CollapsableBadge>
-            </li>
-            <li>
-              Restore the stable-packages on your system by running{" "}
-              <code>sudo dnf distro-sync</code>
-            </li>
-          </ol>
+                    <li>Note the username and password, you will need it later on.</li>
+                  </ul>
+                </ModalBadge>
+              </li>
+              <li>
+                Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
+              </li>
+              <li>
+                Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
+              </li>
+              <li>
+                Choose an update to test{" "}
+                <ModalBadge expand_text="Not sure how?">
+                  Have a look at the available packages in <code>updates-testing</code> repo, by
+                  running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code>{" "}
+                  and choose a package you know.
+                </ModalBadge>
+              </li>
+              <li>
+                Install the package{" "}
+                <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
+                whether it works, as you would expect.
+                <br />
+                <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
+                installed as dependencies (shown during the installation process). Try to test
+                those too, if possible.{" "}
+                <ModalBadge expand_text="Need some tips?">
+                  Sometimes, the update associated with the package you just installed fixes some
+                  specific bugs, or has testcases associated with it.
+                  <br />
+                  Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
+                  <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
+                  the detailed output.{" "}
+                  <ModalBadge expand_text="Want something a bit nicer?">
+                    We already mentioned Bodhi, several times. Instead of using the{" "}
+                    <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
+                    about the Update, you can visit Bodhi directly.
+                    <br />
+                    <code>fedora-easy-karma</code> shows the URL of the relevant update near the
+                    bottom of the text output - look for URL like{" "}
+                    <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
+                    <br />
+                    You can have a look at other people's comments, the afore-mentioned Bugs or
+                    Test Cases, and even submit the Karma directly. Just use your FAS credentials
+                    to log-in.
+                  </ModalBadge>
+                </ModalBadge>
+              </li>
+              <li>
+                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
+                found out.{" "}
+                <ModalBadge expand_text="New to fedora-easy-karma?">
+                  It identifies the packages installed from the <code>updates-testing</code>{" "}
+                  repository, and matches them to the updates in Bodhi.
+                  <br />
+                  You are then presented with the relevant updates one-by-one, to submit Karma and
+                  a comment.{" "}
+                  <ModalBadge expand_text="Not sure what Karma means?">
+                    <ol>
+                      <li>
+                        Enter <code>1</code> to mark positive karma (the update works just fine, as
+                        far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
+                        <br />
+                        Not sure you can judge the package's state? Have a look at the{" "}
+                        <a
+                          target="_blank"
+                          href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
+                          rel="noopener noreferrer">
+                          Update Feedback Guidelines
+                        </a>
+                        <br />
+                        Still not sure? Just press <code>Enter</code> to skip it.
+                      </li>
+                      <li>
+                        Add a comment - even if it works, try to describe what you tested. It can
+                        be as easy as{" "}
+                        <code>I tried openning and editing a document, and it worked.</code> when
+                        you test a text-editor, or{" "}
+                        <code>I opened a couple of tabs, and browsed random pages.</code> for a
+                        web-browser.
+                        <br />
+                        Absolutely make sure to provide reasonable amount of detail, when
+                        submitting negative karma - ideally, you should also create a bugreport,
+                        and reference it in the comment.
+                      </li>
+                    </ol>
+                  </ModalBadge>
+                </ModalBadge>
+              </li>
+              <li>
+                Restore the stable-packages on your system by running{" "}
+                <code>sudo dnf distro-sync</code>
+              </li>
+            </ol>
+          </CollapsableBadge>
         </div>
       )
   }
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index 21fbc21..01c26d5 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -113,7 +113,7 @@ class FedoraManualTestingItemsListSub1 extends Component {
   }
 }
 
-class FedoraManualTestingItem extends Component {
+export class FedoraManualTestingItem extends Component {
   render() {
     const extra_data = this.props.data.extra_data
 
diff --git a/src/wizard/Filter.js b/src/wizard/Filter.js
new file mode 100644
index 0000000..2568f68
--- /dev/null
+++ b/src/wizard/Filter.js
@@ -0,0 +1,262 @@
+import React, { useEffect, useState } from "react"
+import { shallowEqual, useSelector } from "react-redux"
+import {
+  UncontrolledDropdown,
+  DropdownToggle,
+  DropdownMenu,
+  DropdownItem,
+  Card,
+  CardBody,
+  Col,
+  Row,
+  Button,
+  CardHeader,
+} from "reactstrap"
+
+import * as R from "ramda"
+import { FedoraManualTestingItem } from "./FedoraManualTesting"
+import FedoraEasyKarma from "./FedoraEasyKarma"
+
+const intialFilter = {
+  language: null,
+  testtype: null,
+  duration: null,
+  area: null,
+}
+
+function Filter() {
+  const selectAction = (state) => state.wizard.all_actions
+  const actions = useSelector(selectAction, shallowEqual)
+
+  const grouped = R.groupBy((action) => action.provider, actions["easyfix"])
+  const grouped2 = R.groupBy((action) => action.provider, actions["fedora_manual_testing"])
+  const grouped3 = R.groupBy((action) => action.provider, actions["fedora_easy_karma"])
+
+  const [filteredData, setfilteredData] = useState(actions)
+
+  const [filters, setFilters] = useState(intialFilter)
+
+  const setFilter = (filterType, value) => {
+    setFilters({
+      ...filters,
+      [filterType]: value,
+    })
+  }
+
+  const getData = () => {
+    const getUniqueTags = R.pipe(
+      R.map((action) => action.tags),
+      R.flatten,
+      R.uniq
+    )
+    const tags = getUniqueTags(grouped["easyfix"])
+    return tags
+  }
+
+  const getDataTestcase = () => {
+    const getUniqueTags = R.pipe(
+      R.map((action) => action.extra_data.testtype),
+      R.flatten,
+      R.uniq
+    )
+    const testtype = getUniqueTags(grouped2["fedora_manual_testing"])
+    return testtype
+  }
+
+  const resetData = () => {
+    setfilteredData({ ...actions })
+    setFilters(intialFilter)
+  }
+
+  const filterData = () => {
+    let data = { ...actions }
+    const { language, testtype, area, duration } = filters
+
+    if (language) {
+      data = {
+        easyfix: data.easyfix?.filter((issue) => issue.tags.includes(language)),
+        fedora_manual_testing: null,
+        fedora_easy_karma: null,
+      }
+    }
+    if (testtype) {
+      data = {
+        fedora_manual_testing: data.fedora_manual_testing?.filter((test) =>
+          test.extra_data.testtype.includes(testtype)
+        ),
+        easyfix: null,
+        fedora_easy_karma: null,
+      }
+    }
+    if (area) {
+      switch (area) {
+        case "PROGRAMMING":
+          data = {
+            easyfix: data.easyfix,
+            fedora_manual_testing: null,
+            fedora_easy_karma: null,
+          }
+          break
+        case "TESTING":
+          data = {
+            fedora_manual_testing: data.fedora_manual_testing,
+            fedora_easy_karma: data.fedora_easy_karma,
+            easy_fix: null,
+          }
+          break
+        default:
+      }
+    }
+    if (duration) {
+      switch (duration) {
+        case "FEW_HOURS":
+          data = {
+            fedora_manual_testing: data.fedora_manual_testing,
+            fedora_easy_karma: data.fedora_easy_karma,
+            easyfix: null,
+          }
+          break
+        case "SEVERAL_DAYS":
+          data = {
+            easyfix: data.easyfix,
+            fedora_manual_testing: null,
+            fedora_easy_karma: null,
+          }
+          break
+        default:
+      }
+    }
+    setfilteredData(data)
+  }
+
+  useEffect(() => {
+    filterData()
+  }, [filters])
+
+  return (
+    <div>
+      <Row>
+        <Col sm="2">
+          <UncontrolledDropdown className="actions">
+            <DropdownToggle caret>
+              {filters.duration ? filters.duration : "Duration"}
+            </DropdownToggle>
+            <DropdownMenu>
+              <DropdownItem onClick={() => setFilter("duration", "SEVERAL_DAYS")}>
+                Several Days
+              </DropdownItem>
+              <DropdownItem onClick={() => setFilter("duration", "FEW_HOURS")}>
+                Few Hours
+              </DropdownItem>
+            </DropdownMenu>
+          </UncontrolledDropdown>
+        </Col>
+
+        <Col sm="2">
+          <UncontrolledDropdown className="actions">
+            <DropdownToggle caret>{filters.area ? filters.area : "Area"}</DropdownToggle>
+            <DropdownMenu>
+              <DropdownItem onClick={() => setFilter("area", "TESTING")}>Testing</DropdownItem>
+              <DropdownItem onClick={() => setFilter("area", "PROGRAMMING")}>
+                Programming
+              </DropdownItem>
+            </DropdownMenu>
+          </UncontrolledDropdown>
+        </Col>
+
+        <Col sm="2">
+          <UncontrolledDropdown className="actions">
+            <DropdownToggle caret>
+              {filters.language ? filters.language : "language"}
+            </DropdownToggle>
+            <DropdownMenu>
+              {getData().map((language) => (
+                <DropdownItem onClick={() => setFilter("language", language)}>
+                  {language}
+                </DropdownItem>
+              ))}
+            </DropdownMenu>
+          </UncontrolledDropdown>
+        </Col>
+        <Col sm="2">
+          <UncontrolledDropdown className="actions">
+            <DropdownToggle caret>
+              {filters.testtype ? filters.testtype : "testtype"}
+            </DropdownToggle>
+            <DropdownMenu>
+              {getDataTestcase().map((testtype) => (
+                <DropdownItem onClick={() => setFilter("testtype", testtype)}>
+                  {testtype}
+                </DropdownItem>
+              ))}
+            </DropdownMenu>
+          </UncontrolledDropdown>
+        </Col>
+        <Col sm="2">
+          <Button onClick={resetData} className="actions" color="primary">
+            Click to reset! <i class="fas fa-wrench"></i>
+          </Button>
+        </Col>
+      </Row>
+      <Row>
+        {Object.keys(filteredData).map((key, index) => (
+          <React.Fragment key={key}>
+            {key === "easyfix" &&
+              filteredData[key] &&
+              filteredData[key].map((data) => (
+                <Col sm="4" md="3" className="card-container">
+                  <Card key={data.extra_data.ticket_url} className="actions">
+                    <CardHeader>
+                      <i class="fas fa-terminal"></i>
+                      &nbsp; {data.extra_data.repo_fullname}
+                    </CardHeader>
+                    <CardBody>
+                      <a
+                        href={data.extra_data.ticket_url}
+                        target="_blank"
+                        rel="noopener noreferrer">
+                        {data.name}
+                      </a>
+                    </CardBody>
+                  </Card>
+                </Col>
+              ))}
+
+            {key === "fedora_manual_testing" &&
+              filteredData[key] &&
+              filteredData[key].map((data) => (
+                <Col sm="4" md="3" className="card-container">
+                  <Card className="actions">
+                    <CardHeader>
+                      <i class="fas fa-flask"></i>
+                      &nbsp; {data.extra_data.milestone}
+                    </CardHeader>
+                    <CardBody>
+                      <FedoraManualTestingItem data={data} />
+                    </CardBody>
+                  </Card>
+                </Col>
+              ))}
+
+            {key === "fedora_easy_karma" &&
+              filteredData[key] &&
+              filteredData[key].map((data) => (
+                <Col sm="4" md="3" className="card-container">
+                  <Card className="actions">
+                    <CardHeader>
+                      <i class="fab fa-fedora"></i>
+                      &nbsp; {data.name}
+                    </CardHeader>
+                    <CardBody>
+                      <FedoraEasyKarma data={grouped3["fedora_easy_karma"]} key="karma" />
+                    </CardBody>
+                  </Card>
+                </Col>
+              ))}
+          </React.Fragment>
+        ))}
+      </Row>
+    </div>
+  )
+}
+export default Filter
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 86a8227..4da056d 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -1,11 +1,10 @@
 import React, { Component } from "react"
-import WizardForm from "./WizardForm"
 import Layout from "../layout/Layout"
-import Actions from "./Actions"
-import { Container, Row } from "reactstrap"
+import { Col, Container, Row } from "reactstrap"
 
 import { connect } from "react-redux"
 import { loadWizardData } from "../actions/reduxActions"
+import Filter from "./Filter"
 
 class Wizard extends Component {
   constructor(props) {
@@ -29,27 +28,14 @@ class Wizard extends Component {
   }
 
   render() {
+    console.log(this.state.steps)
     return (
       <Layout apiCallStatus={this.props.api_call_status}>
-        <div className="bluebox">
-          <Container>
-            <WizardForm
-              show_actions={this.show_actions.bind(this)}
-              actions={this.props.all_actions}
-              providers={this.props.providers}
-            />
-            <h1>Nothing sparked joy?</h1>
-            <div>
-              None of the above looks interesting to you? We'd be happy if you looked around at{" "}
-              <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
-            </div>
-          </Container>
-        </div>
         <Container>
-          <Row>
-            <div className="col-md-12">
-              <Actions data={this.state.actions} />
-            </div>
+          <Row className="justify-content-center align-items-center">
+            <Col md="12">
+              <Filter />
+            </Col>
           </Row>
         </Container>
       </Layout>
diff --git a/src/wizard/components.js b/src/wizard/components.js
index 4b2c8f3..85b7471 100644
--- a/src/wizard/components.js
+++ b/src/wizard/components.js
@@ -1,8 +1,33 @@
 import React, { Component } from "react"
-import { Card, CardHeader, CardBody, UncontrolledCollapse, Row } from "reactstrap"
+import {
+  Card,
+  CardHeader,
+  CardBody,
+  UncontrolledCollapse,
+  Row,
+  Modal,
+  ModalBody,
+  ModalFooter,
+  Button,
+} from "reactstrap"
 import uniqueID from "../helpers/uniqueID"
 
 class CollapsableCard extends Component {
+  constructor(props) {
+    super(props)
+    this.state = {
+      showModal: false,
+    }
+    this.toggleModal = this.toggleModal.bind(this)
+  }
+
+  toggleModal() {
+    let modalState = !this.state.showModal
+    this.setState({
+      showModal: modalState,
+    })
+  }
+
   render() {
     const { title, expand_text, expand_class, children } = this.props
     const id = uniqueID("collapsable-card-id-")
@@ -10,8 +35,8 @@ class CollapsableCard extends Component {
       <Card>
         <CardHeader>
           <Row>
-            <div className="col-md-11">{title}</div>
-            <div className="col-md-1">
+            <div className="col-sm-10">{title}</div>
+            <div className="col-sm-2">
               <Toggler id={id} color={expand_class} text={expand_text} />
             </div>
           </Row>
@@ -25,15 +50,61 @@ class CollapsableCard extends Component {
 }
 
 class CollapsableBadge extends Component {
+  constructor(props) {
+    super(props)
+    this.state = {
+      showModal: false,
+    }
+    this.toggleModal = this.toggleModal.bind(this)
+  }
+
+  toggleModal() {
+    let modalState = !this.state.showModal
+    this.setState({
+      showModal: modalState,
+    })
+  }
+  render() {
+    const { expand_text, expand_class, children, type } = this.props
+    const id = uniqueID("collapsable-badge-id-")
+    return (
+      <span>
+        <Button
+          className={type + " " + type + "-" + expand_class}
+          href="#"
+          id={id}
+          color="primary"
+          onClick={this.toggleModal}>
+          {expand_text}
+        </Button>{" "}
+        <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
+          <ModalBody>{children}</ModalBody>
+          <ModalFooter>
+            <Button color="primary" onClick={this.toggleModal}>
+              Close <i class="fas fa-times-circle"></i>
+            </Button>
+          </ModalFooter>
+        </Modal>
+      </span>
+    )
+  }
+}
+
+class ModalBadge extends Component {
   render() {
     const { expand_text, expand_class, children, type } = this.props
     const id = uniqueID("collapsable-badge-id-")
     return (
       <span>
-        <a class={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
+        <Button className={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
           {expand_text}
-        </a>
-        <UncontrolledCollapse toggler={"#" + id}>{children}</UncontrolledCollapse>
+        </Button>
+
+        <UncontrolledCollapse toggler={"#" + id} className="actions">
+          <Card>
+            <CardBody>{children}</CardBody>
+          </Card>
+        </UncontrolledCollapse>
       </span>
     )
   }
@@ -44,16 +115,21 @@ CollapsableBadge.defaultProps = {
   expand_class: "primary",
 }
 
+ModalBadge.defaultProps = {
+  type: "badge",
+  expand_class: "primary",
+}
+
 class Toggler extends Component {
   render() {
     const { id, text, color } = this.props
     const classes = "btn btn-sm float-right btn-" + color
     return (
       <button className={classes} href="#" id={id}>
-        {text}
+        {text} <i class="fas fa-compass"></i>
       </button>
     )
   }
 }
 
-export { CollapsableCard, CollapsableBadge }
+export { CollapsableCard, CollapsableBadge, ModalBadge }
